Package org.eclipse.rdf4j.spring.dao

## Class SimpleRDF4JCRUDDao<ENTITY,​ID>

- java.lang.Object
- - org.eclipse.rdf4j.spring.dao.RDF4JDao
  - - org.eclipse.rdf4j.spring.dao.RDF4JCRUDDao<ENTITY,​ENTITY,​ID>
    - - org.eclipse.rdf4j.spring.dao.SimpleRDF4JCRUDDao<ENTITY,​ID>

- Direct Known Subclasses:
    `ArtistDao`, `PaintingDao`

      @Experimental
      public abstract class SimpleRDF4JCRUDDao<ENTITY,​ID>
      extends RDF4JCRUDDao<ENTITY,​ENTITY,​ID>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.rdf4j.spring.dao.RDF4JDao

      `RDF4JDao.NamedSparqlSupplierFinishBuilder, RDF4JDao.NamedSparqlSupplierPreparer`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.spring.dao.RDF4JCRUDDao

      `KEY_PREFIX_INSERT, KEY_PREFIX_UPDATE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SimpleRDF4JCRUDDao​(RDF4JTemplate rdf4JTemplate)` |
    `SimpleRDF4JCRUDDao​(RDF4JTemplate rdf4JTemplate, Class<ID> idClass)` |

  - ### Method Summary

    - ### Methods inherited from class org.eclipse.rdf4j.spring.dao.RDF4JCRUDDao

      `convertIdToIri, delete, deleteForUpdate, generateNewId, getById, getByIdOptional, getInputId, getInsertSparql, getReadQuery, getUpdateSparql, list, mapSolution, newBindingsBuilder, populateBindingsForUpdate, populateIdBindings, postProcessMappedSolution, postProcessUpdate, save, saveAndReturnId, saveAndReturnId`

    - ### Methods inherited from class org.eclipse.rdf4j.spring.dao.RDF4JDao

      `getNamedGraphQuery, getNamedSparqlString, getNamedSparqlSupplier, getNamedTupleQuery, getNamedUpdate, getRdf4JTemplate, prepareNamedSparqlSuppliers`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleRDF4JCRUDDao

          public SimpleRDF4JCRUDDao​(RDF4JTemplate rdf4JTemplate,
                                    Class<ID> idClass)

    - #### SimpleRDF4JCRUDDao

          public SimpleRDF4JCRUDDao​(RDF4JTemplate rdf4JTemplate)